---
# safety checks your installed python dependencies for known
# security vulnerabilities
# https://pypi.org/project/safety/
include:
  - remote: https://jobs.just-ci.dev/v6.24.0/python/generic.yml

python:safety:
  extends:
    - .python:pre
    - .python:pre-install
  variables:
    JOB_PACKAGE: safety
  script:
    - python3 -m venv .venv
    - source .venv/bin/activate
    - pip3 install -q -U pip setuptools
    - !reference [".python:pre", script]
    - !reference [".python:pre-install", script]
    - safety --version
    - safety check
